Guid.CLSID.ByReference (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Guid, class: CLSID, class: ByReference

Package com.sun.jna.platform.win32

# Class Guid.CLSID.ByReference

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Guid.GUID
com.sun.jna.platform.win32.Guid.CLSID.ByReference

Enclosing class:
  Guid.CLSID

public static class Guid.CLSID.ByReference extends Guid.GUID
The Class ByReference.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID

  `Guid.GUID.ByReference, Guid.GUID.ByValue`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.Guid.GUID

  `Data1, Data2, Data3, Data4`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`
  Instantiates a new by reference.
  `ByReference(Guid.GUID guid)`
  Instantiates a new by reference.
  `ByReference(Pointer memory)`
  Instantiates a new by reference.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.Guid.GUID

  `equals, fromBinary, fromString, hashCode, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()
    Instantiates a new by reference.

  - ### ByReference

    public ByReference(Guid.GUID guid)
    Instantiates a new by reference.
    Parameters:
      `guid` - the guid

  - ### ByReference

    public ByReference(Pointer memory)
    Instantiates a new by reference.
    Parameters:
      `memory` - the memory